Subject: b18 problems
From: [email-masked] (Jeff Deifik)

11 May 1997 11:17:09 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

I installed b-18 on my machine running win nt 4.0 server sp2.

I have a file called a.c:
main() { printf("Hello world\n"); }

I set all the environment variables, have a /tmp dir and /bin/sh.exe
I start bash, and type
gcc a.c 2> gcc-error

I get what seems like an infinite loop, with the last two lines of the
included
excerpt repeating.

(unknown) heap_init: unable to allocate heap, win32 error 87
cygwin: terminating
(unknown) In cygwin_except_handler
(unknown) Exception trapped!
(unknown) exception C0000005 at 1001E4B2
(unknown) exception: ax 0 bx 0 cx 201 dx FFFFFFFF
(unknown) exception: si 79632D36 di 3833695C bp 241FB30 sp 241FB30
(unknown) exception is: STATUS_ACCESS_VIOLATION
(unknown) Stack trace:
(unknown) frame 0: sp = 0x241F964, pc = 0x1001282A
(unknown) frame 1: sp = 0x241F980, pc = 0x77F94492
(unknown) frame 2: sp = 0x241F9A4, pc = 0x77F88E93
(unknown) frame 3: sp = 0x241FA30, pc = 0x77F76202
(unknown) frame 4: sp = 0x241FB30, pc = 0x10011D4D
(unknown) frame 5: sp = 0x241FB44, pc = 0x10018972
(unknown) frame 6: sp = 0x241FB5C, pc = 0x10011615
(unknown) frame 7: sp = 0x241FF94, pc = 0x10011BFF
(unknown) frame 8: sp = 0x241FFA0, pc = 0x4118D5
(unknown) frame 9: sp = 0x241FFB0, pc = 0x40103B
(unknown) frame 10: sp = 0x241FFC0, pc = 0x77F1B26B
(unknown) frame 11: sp = 0x241FFF0, pc = 0x0
(unknown) End of stack trace
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)

b17.1 used to work fine for me.

	Any ideas?
	Jeff Deifik		[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".